# Copyright notice.
#   Original SPEC is provided by Zabbix LLC
#   Modified by Cybertrust Japan Co., Ltd.

%{!?original_name: %global original_name zabbix-agent2-plugin-ember-plus}

Name:		miracle-zbx-agent2-plugin-ember-plus
Version:	7.0.13
Release:	1%{?dist}
Summary:	MIRACLE ZBX Agent2 plugin for monitoring Ember Plus installations
Group:		Applications/Internet
License:	AGPLv3
URL:		https://www.cybertrust.co.jp/
Source0:	%{original_name}-%{version}.tar.gz
Patch1:		conf.patch

%description
MIRACLE ZBX Agent2 plugin for monitoring Ember Plus installations

%define debug_package %{nil}

%prep
%setup0 -q -n %{original_name}-%{version}
%patch1 -p1

%build
export GOPATH=$HOME/go
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH

go build

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
cp ember-plus $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-ember-plus
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/
cp ember.conf $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-ember-plus
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/ember.conf

%changelog
* Wed May 21 2025 Yoshinobu Saji <yoshinobu.saji@miraclelinux.com> - 7.0.13-1
- Update to 7.0.13 release.

* Wed Apr 30 2025 Taiki Fujiwara <taiki.fujiwara@miraclelinux.com> - 7.0.12-1
- Update to 7.0.12 release.

* Mon Mar 31 2025 Justin Boffemmyer <justin.boffemmyer@miraclelinux.com> - 7.0.11-1
- Update to 7.0.11 release.

* Tue Feb 25 2025 Yoshinobu Saji <yoshinobu.saji@cybertrust.co.jp> - 7.0.10-1
- Update to 7.0.10 release.

* Wed Jan 29 2025 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.9-1
- Update to 7.0.9 release.

* Wed Jan 08 2025 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.8-1
- Update to 7.0.8 release.

* Mon Dec 23 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.7-1
- Update to 7.0.7 release.

* Thu Nov 21 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.6-1
- Update to 7.0.6 release.

* Thu Oct 24 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.5-1
- Update to 7.0.5 release.

* Fri Sep 27 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.4-1
- Update to 7.0.4 release.

* Tue Aug 20 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.3-1
- Update to 7.0.3 release.

* Mon Aug 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.2-1
- Update to 7.0.2 release.

* Tue Jul 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.1-1
- Update to 7.0.1 release.

* Wed Jun 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0-1
- Update to 7.0.0 release.

* Thu May 30 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0rc3-1
- Update to 7.0.0rc3
- Change license to AGPLv3

* Wed May 29 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 6.0.30-1
- initial release of Ember Plus plugin for MIRACLE ZBX Agent2
